package dataoke

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/md"
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
	"encoding/json"
	"github.com/tidwall/gjson"
	"net/url"
)

func DataokeFriendsCircleList(params map[string]string) []map[string]string {
	var goods = make([]map[string]string, 0)
	resp, err := SendReq("https://openapi.dataoke.com/api/goods/friends-circle-list", params)
	if err != nil {
		return goods
	}
	data := gjson.Get(string(resp), "data").String()
	if data == "" {
		return goods
	}
	var oldGoods []md.DataokeFriendCircleList
	json.Unmarshal([]byte(data), &oldGoods)
	for _, v := range oldGoods {
		m, _ := url.QueryUnescape(v.CircleText)
		pvd := md.PVD_TB
		if v.ShopType == 1 {
			pvd = md.PVD_TM
		}
		var tmp = map[string]string{
			"gid":             v.GoodsID,
			"title":           v.Dtitle,
			"img":             v.MainPic,
			"sales":           zhios_third_party_utils.IntToStr(v.MonthSales),
			"day_sales":       zhios_third_party_utils.IntToStr(v.DailySales),
			"price":           zhios_third_party_utils.Float64ToStr(v.ActualPrice),
			"cost_price":      zhios_third_party_utils.Float64ToStr(v.OriginalPrice),
			"coupon":          zhios_third_party_utils.Float64ToStr(v.CouponPrice),
			"commission_rate": zhios_third_party_utils.Float64ToStr(v.CommissionRate),
			"commission":      zhios_third_party_utils.Float64ToStr(v.ActualPrice * (v.CommissionRate / 100)),
			"pvd":             pvd,
			"share_content":   m,
		}
		goods = append(goods, tmp)
	}
	return goods
}

//func DataokeFriendsCircleList(params map[string]string) []map[string]string {
//	var goods = make([]map[string]string, 0)
//	resp, err := SendReq("https://openapi.dataoke.com/api/goods/friends-circle-list", params)
//	if err != nil {
//		return goods
//	}
//	data := gjson.Get(string(resp), "data").String()
//	if data == "" {
//		return goods
//	}
//	var oldGoods []md.HaodankuSelectedItem
//	json.Unmarshal([]byte(data), &oldGoods)
//	for _, v := range oldGoods {
//var tmp = map[string]string{
//	"gid":             v.Itemid,
//	"title":           v.Title,
//	"img":             img,
//	"sales":           "",
//	"price":           v.Itemendprice,
//	"cost_price":      v.Itemprice,
//	"coupon":          v.Couponmoney,
//	"commission_rate": v.Tkrates,
//	"commission":      zhios_third_party_utils.Float64ToStr(zhios_third_party_utils.StrToFloat64(v.Itemendprice) * (zhios_third_party_utils.StrToFloat64(v.Tkrates) / 100)),
//	"pvd":             "taobao",
//	"share_content":   content,
//}
//goods = append(goods, tmp)
//}
//}
